export type BodyFont = 'Fira Mono' | 'Fira Sans' | 'IBM Plex Serif' | 'Inter' | 'JetBrains Mono' | 'Lora' | 'Manrope' | 'Merriweather' | 'Nunito' | 'Noto Sans' | 'Noto Serif' | 'Poppins' | 'Roboto' | 'Space Mono';
export type HeadingFont = 'Cardo' | 'Chakra Petch' | 'Old Standard TT' | 'Prata' | 'Rufina' | 'Space Grotesk' | 'Tenor Sans' | BodyFont;
export type CustomFonts = {
    heading: HeadingFont[];
    body: BodyFont[];
};
export type FontSelection = {
    heading?: HeadingFont;
    body?: BodyFont;
};
export declare const CUSTOM_FONTS: CustomFonts;
export declare function generateCustomFontCss(fonts: FontSelection): string;
export declare function generateCustomFontBodyClass(fonts: FontSelection): string;
export declare function getCSSFriendlyFontClassName(font: string): string;
export declare function getCustomFontClassName({ font, heading }: {
    font: string;
    heading: boolean;
}): string;
export declare function getCustomFonts(): CustomFonts;
export declare function isValidCustomFont(font: string): font is BodyFont;
export declare function isValidCustomHeadingFont(font: string): font is HeadingFont;
